Debian Bug report logs - #685653
mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade

version graph

Packages: mlterm, mlterm-tiny; Maintainer for mlterm is Kenshi Muto <kmuto@debian.org>; Source for mlterm is src:mlterm. Maintainer for mlterm-tiny is Kenshi Muto <kmuto@debian.org>; Source for mlterm-tiny is src:mlterm.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Wed, 22 Aug 2012 22:18:10 UTC

Severity: serious

Tags: patch

Found in version 3.1.2-1

Fixed in version mlterm/3.1.2-1.1

Done: Guido Trotter <ultrotter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Wed, 22 Aug 2012 22:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Kenshi Muto <kmuto@debian.org>. (Wed, 22 Aug 2012 22:18:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade
Date: Thu, 23 Aug 2012 00:15:52 +0200
Package: mlterm,mlterm-tiny
Version: 3.1.2-1
Severity: serious
Justification: Policy 12.5
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during an exerimental piuparts test I noticed your package is missing
the copyright file after a squeeze->wheezy upgrade.


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Thu, 23 Aug 2012 08:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Thu, 23 Aug 2012 08:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 685653@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: أحمد المحمودي <aelmahmoudy@sabily.org>
Cc: 685653@bugs.debian.org
Subject: Re: Bug#685653: mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade
Date: Thu, 23 Aug 2012 10:10:45 +0200
On 2012-08-23 09:58, أحمد المحمودي wrote:
>   The doc dir of both packages is linked to the doc dir of 
>   mlterm-common, and both packages depend on mlterm-common

/u/s/d/mlterm{,-tiny} are empty directories after the upgrade from
squeeze - dpkg does not replace directories by symlinks or vice versa.

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Thu, 23 Aug 2012 08:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Thu, 23 Aug 2012 08:21:10 GMT) Full text and rfc822 format available.

Message #15 received at 685653@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Andreas Beckmann <debian@abeckmann.de>, 685653@bugs.debian.org
Subject: Re: Bug#685653: mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade
Date: Thu, 23 Aug 2012 09:58:32 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 23, 2012 at 12:15:52AM +0200, Andreas Beckmann wrote:
> Package: mlterm,mlterm-tiny
> Version: 3.1.2-1
>
> during an exerimental piuparts test I noticed your package is missing
> the copyright file after a squeeze->wheezy upgrade.
---end quoted text---

  The doc dir of both packages is linked to the doc dir of 
  mlterm-common, and both packages depend on mlterm-common

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Fri, 24 Aug 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Fri, 24 Aug 2012 07:03:04 GMT) Full text and rfc822 format available.

Message #20 received at 685653@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 685653@bugs.debian.org
Subject: Re: Bug#685653: mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade
Date: Fri, 24 Aug 2012 08:59:09 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 23, 2012 at 10:10:45AM +0200, Andreas Beckmann wrote:
> /u/s/d/mlterm{,-tiny} are empty directories after the upgrade from
> squeeze - dpkg does not replace directories by symlinks or vice versa.
---end quoted text---

Isn't that a bug in dpkg ?

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Fri, 24 Aug 2012 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Fri, 24 Aug 2012 16:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 685653@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: أحمد المحمودي <aelmahmoudy@sabily.org>
Cc: 685653@bugs.debian.org
Subject: Re: Bug#685653: mlterm,mlterm-tiny: missing copyright file after squeeze->wheezy upgrade
Date: Fri, 24 Aug 2012 18:39:59 +0200
On 2012-08-24 08:59, أحمد المحمودي wrote:
> On Thu, Aug 23, 2012 at 10:10:45AM +0200, Andreas Beckmann wrote:
>> dpkg does not replace directories by symlinks or vice versa.
> Isn't that a bug in dpkg ?

IIRC, thats intentional.

Therefore maintainer scripts need to do this conversion - but I don't
have any documenatation or example package at hand.

Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Sat, 08 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Trotter <ultrotter@debian.org>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Sat, 08 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 685653@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 685653@bugs.debian.org
Subject: Patch for NMU
Date: Sat, 8 Sep 2012 15:12:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

During the Dublin BSP I fixed this bug.
Attached is a patch that solves the problem.

Thanks,

Guido
[nmu.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Guido Trotter <ultrotter@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2012 14:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#685653; Package mlterm,mlterm-tiny. (Sat, 08 Sep 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Trotter <ultrotter@debian.org>:
Extra info received and forwarded to list. Copy sent to Kenshi Muto <kmuto@debian.org>. (Sat, 08 Sep 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #37 received at 685653@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 685653@bugs.debian.org
Subject: Re: Patch for NMU
Date: Sat, 8 Sep 2012 15:26:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, Sep 8, 2012 at 3:12 PM, Guido Trotter <ultrotter@debian.org> wrote:
> Hi,
>
> During the Dublin BSP I fixed this bug.
> Attached is a patch that solves the problem.
>

This is now uploaded to DELAYED/3.
Attaching correct diff (only change is the release name from
UNRELEASED to unstable)

Thanks,

Guido
[nmu1.diff (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Guido Trotter <ultrotter@debian.org> to control@bugs.debian.org. (Sat, 08 Sep 2012 14:33:07 GMT) Full text and rfc822 format available.

Reply sent to Guido Trotter <ultrotter@debian.org>:
You have taken responsibility. (Tue, 11 Sep 2012 15:21:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 11 Sep 2012 15:21:07 GMT) Full text and rfc822 format available.

Message #44 received at 685653-close@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 685653-close@bugs.debian.org
Subject: Bug#685653: fixed in mlterm 3.1.2-1.1
Date: Tue, 11 Sep 2012 15:18:14 +0000
Source: mlterm
Source-Version: 3.1.2-1.1

We believe that the bug you reported is fixed in the latest version of
mlterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685653@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Trotter <ultrotter@debian.org> (supplier of updated mlterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Sep 2012 14:46:43 +0100
Source: mlterm
Binary: mlterm mlterm-tiny mlterm-common mlterm-tools mlterm-im-uim mlterm-im-scim mlterm-im-m17nlib mlterm-im-ibus
Architecture: source amd64
Version: 3.1.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Kenshi Muto <kmuto@debian.org>
Changed-By: Guido Trotter <ultrotter@debian.org>
Description: 
 mlterm     - MultiLingual TERMinal
 mlterm-common - MultiLingual TERMinal, common files
 mlterm-im-ibus - MultiLingual TERMinal, IBus input method plugin
 mlterm-im-m17nlib - MultiLingual TERMinal, m17nlib input method plugin
 mlterm-im-scim - MultiLingual TERMinal, scim input method plugin
 mlterm-im-uim - MultiLingual TERMinal, uim input method plugin
 mlterm-tiny - MultiLingual TERMinal, tiny version
 mlterm-tools - MultiLingual TERMinal, additional tools
Closes: 685653
Changes: 
 mlterm (3.1.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix directory to symlink upgrade in postinst (closes: #685653)
Checksums-Sha1: 
 955c1ad48584b190b5dea22d331b977ee6dbfbb0 1838 mlterm_3.1.2-1.1.dsc
 114d85bf57c87c07c0bbecb26967cafff82222de 26251 mlterm_3.1.2-1.1.debian.tar.gz
 943a3eeea4c6b0aff627ffb280e3e62c4955661f 184934 mlterm_3.1.2-1.1_amd64.deb
 e5a091b1cf17f0b23503288b56f186dc41bfee38 180848 mlterm-tiny_3.1.2-1.1_amd64.deb
 e2fd75783fefe9b56370048c775b405c75f2f9f9 2462242 mlterm-common_3.1.2-1.1_amd64.deb
 d1d4f6aa33ce10ca4a47db1ed53949d95c28575f 72724 mlterm-tools_3.1.2-1.1_amd64.deb
 ee1ea9caf6d7c481cbde5c54d49512b1fdfaaf04 10098 mlterm-im-uim_3.1.2-1.1_amd64.deb
 753c6d276233c0316ac682eba47b39407426c764 30706 mlterm-im-scim_3.1.2-1.1_amd64.deb
 78f750b1c7c6ea7ea23e84dae64048a696f2da3c 8588 mlterm-im-m17nlib_3.1.2-1.1_amd64.deb
 a35745c238d756f930f50a36db54c3c53c8893ab 6252 mlterm-im-ibus_3.1.2-1.1_amd64.deb
Checksums-Sha256: 
 90aaea10f95c97f5f2196079bd8359a2a58a6459e85c9bb84fbd0db9c54e9aea 1838 mlterm_3.1.2-1.1.dsc
 525a7b770a4e03799cb6c2724ae6130fb5bb1226d10661849f7ce4e2e3dea223 26251 mlterm_3.1.2-1.1.debian.tar.gz
 cb1c58a878cb36bd9fd3c739a66e8a00291ee759fc5c4edb907fb11d523b91d1 184934 mlterm_3.1.2-1.1_amd64.deb
 c7160f8d498b027dbf6d187552dc799fe03194867def656d4716bb722698a87d 180848 mlterm-tiny_3.1.2-1.1_amd64.deb
 a9a3f22a01e4496edab54c8e7ec10941b705ed0829f8e16ca73052146390cc0b 2462242 mlterm-common_3.1.2-1.1_amd64.deb
 c439bfd531134d00d45a4023e2646baf016613c8c6fa8f073cdf51a5cdc3b7c6 72724 mlterm-tools_3.1.2-1.1_amd64.deb
 15b8e510666c274c9195534a8a440666adc5d5b07052a4cfc2003e0811dbcf24 10098 mlterm-im-uim_3.1.2-1.1_amd64.deb
 c46e4ecceb2b9a594d24a0c8fa627ee65e23e8c821c77134c489ae51ec592555 30706 mlterm-im-scim_3.1.2-1.1_amd64.deb
 29377db518951d4e93206cde0e0e45ab0dedc7b46ddec53b7b978140e6cd47f0 8588 mlterm-im-m17nlib_3.1.2-1.1_amd64.deb
 bcbf85913dfb1aa255080298a5103e73121992f5a559805326e4314cad926d6e 6252 mlterm-im-ibus_3.1.2-1.1_amd64.deb
Files: 
 d5b24d7ebc077a9e304e1de850ee0938 1838 x11 optional mlterm_3.1.2-1.1.dsc
 bcb6db10be893bc2f26dfdb36b6d44e8 26251 x11 optional mlterm_3.1.2-1.1.debian.tar.gz
 ac33c8c8af91b350e7d787a4df69d6ca 184934 x11 optional mlterm_3.1.2-1.1_amd64.deb
 beea9c064a7c2d7f23fafced4d027109 180848 x11 optional mlterm-tiny_3.1.2-1.1_amd64.deb
 bf1b7ec077ce19e1eefaedef20cc9605 2462242 x11 optional mlterm-common_3.1.2-1.1_amd64.deb
 7ca4b9c88ea5d0632ea26fdf52a78396 72724 x11 optional mlterm-tools_3.1.2-1.1_amd64.deb
 6d17e01d6e832e9944f99ed738cca89f 10098 x11 optional mlterm-im-uim_3.1.2-1.1_amd64.deb
 ba7af42ac38aeca8141f25b2bb1eebb3 30706 x11 optional mlterm-im-scim_3.1.2-1.1_amd64.deb
 d479125c7b26e0bcc27ac239c4f422ab 8588 x11 optional mlterm-im-m17nlib_3.1.2-1.1_amd64.deb
 b8d354b92a70e798cf0233be9441e4a9 6252 x11 optional mlterm-im-ibus_3.1.2-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBLVMsACgkQhImxTYgHUptTBwCfXFIMjjNyPqvDtHrXOMb0/k22
bEgAnRjD2UGUzff1d9ZFgQowfRizp4TP
=Kcy/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Oct 2012 07:26:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:19:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.